︠b0c59160-81d5-4d70-afe9-62f86776817fi︠
%html
<p><strong>Bij het artikel: "On the representation of Natural Numbers as Sums of Squares",</strong></p>
<p><strong>Americ. Math. Monthly, 112, feb 2005, L. Panaitopol</strong></p>

︡a32ed4b5-50be-49fa-91d8-fd5574067055︡{"html": "<p><strong>Bij het artikel: \"On the representation of Natural Numbers as Sums of Squares\",</strong></p>\n<p><strong>Americ. Math. Monthly, 112, feb 2005, L. Panaitopol</strong></p>"}︡
︠7ba9d021-aa87-4384-b12f-2dab78da054e︠
def CkOdd(a,b,c,lim):
    R = set([])
    for i in range(lim):
        for j in range(lim):
            for k in range(lim):
                R.add(a*i^2+b*j^2+c*k^2)
    Rtotlimsquare = set(range(lim^2)).difference(R)
    evendeelR = Rtotlimsquare.difference(set[0,2,4,..,lim^2])
    return sorted(list(evendeelR))
︡00cc381a-9ccd-41c4-8cbf-49a470feb41a︡︡
︠ddeaadc8-2092-4396-96f9-ac041cbbb76f︠
CkOdd(1,1,2,75);
︡055158b2-6524-46c3-8646-ff6aeb443efc︡{"stdout": "[]"}︡
︠7aaf9970-8a81-4344-b88c-cf34c2946fde︠
CkOdd(1,2,3,75)
︡23a0825b-694f-4c45-a50c-625a415e68d6︡{"stdout": "[]"}︡
︠e74de54f-abb8-4737-a48c-ea6c4445d276︠
CkOdd(1,2,4,75)
︡d8aa3edf-c97e-4691-90c0-c8a2d438793f︡{"stdout": "[]"}︡
︠1522d55f-e60a-4d36-920a-dd2870401e18i︠
%html
<p>De bovenstaande drie checks bevestigen Thm1 voor de oneven getallen t/m 75. Elke andere kwadratische functie zou dus niet alle oneven getallen meer kunnen representeren. We testen een voorbeeld.</p>

︡ab856008-4d4e-43e1-9c38-70106d29d1f6︡{"html": "<p>De bovenstaande drie checks bevestigen Thm1 voor de oneven getallen t/m 75. Elke andere kwadratische functie zou dus niet alle oneven getallen meer kunnen representeren. We testen een voorbeeld.</p>"}︡
︠dcaf3760-42e2-4c13-9747-93bef9dc6eab︠
CkOdd(1,3,4,20)
︡be3855b5-f757-4264-97b6-010c00b864e9︡{"stdout": "[15, 33, 51, 69, 87, 105, 123, 135, 141, 159, 177, 195, 213, 231, 249, 267, 285, 297, 303, 321, 339, 357, 375, 393]"}︡
︠f9245619-9b1f-4733-abf2-7c14ba26ebe7i︠
%html
<p>Nu gaan we Thm2 controleren.</p>

︡6fa21536-26e2-439f-b6a7-05a5421ac891︡{"html": "<p>Nu gaan we Thm2 controleren.</p>"}︡
︠c7f4b896-4ef2-4cce-bcaa-d750f21e73e8︠
def CkEven(a,b,c,lim):
    R = set([])
    for i in range(lim):
        for j in range(lim):
            for k in range(lim):
                R.add(a*i^2+b*j^2+c*k^2)
    Rtotlimsquare = set(range(lim^2)).difference(R)
    onevendeelR = Rtotlimsquare.difference(set[1,3,5,..,lim^2])
    return sorted(list(onevendeelR))
︡f0efc149-b4e3-413d-ad83-5fd724312319︡︡
︠b4c63a7b-1d92-4d26-80e3-a56e6c1167d5︠
CkEven(1,1,1,20)
︡1466fde2-15dd-40f1-92db-8bdd009f7cf3︡{"stdout": "[28, 60, 92, 112, 124, 156, 188, 220, 240, 252, 284, 316, 348, 368, 380]"}︡
︠769ce20f-487f-4e8d-baba-1454568e3ff8i︠
%html
<p>Dit confirmeert het resultaat van Gauss: de getallen die niet als som van drie kwadraten gerepresenteerd kunnen worden, zijn van de vorm $4^<em>i</em>*(8<em>k</em> + 7)$, voor <em>i</em> en <em>k</em> niet-negatief.</p>
<p>We testen nu de drie kwadratische vormen die wel alle oneven getallen representeren (maar niet alle even, dus).</p>

︡3ff8cac8-495f-4cfe-b0a1-5436943cf01d︡{"html": "<p>Dit confirmeert het resultaat van Gauss: de getallen die niet als som van drie kwadraten gerepresenteerd kunnen worden, zijn van de vorm $4^<em>i</em>*(8<em>k</em> + 7)$, voor <em>i</em> en <em>k</em> niet-negatief.</p>\n<p>We testen nu de drie kwadratische vormen die wel alle oneven getallen representeren (maar niet alle even, dus).</p>"}︡
︠76332977-afd7-4048-97d9-2049beca238b︠
t1 = CkEven(1,1,2,20); t1
︡a7d2d7c7-0db5-4cb1-91b6-80337781419b︡{"stdout": "[14, 30, 46, 56, 62, 78, 94, 110, 120, 126, 142, 158, 174, 184, 190, 206, 222, 224, 238, 248, 254, 270, 286, 302, 312, 318, 334, 350, 366, 376, 382, 398]"}︡
︠678d5edc-3d37-4e5e-a86f-1dc080c851ec︠
t2 = CkEven(1,2,3,20); t2
︡ef4a6614-5327-48b0-9ccc-2d418ddafe52︡{"stdout": "[10, 26, 40, 42, 58, 74, 90, 104, 106, 122, 138, 154, 160, 168, 170, 186, 202, 218, 232, 234, 250, 266, 282, 296, 298, 314, 330, 346, 360, 362, 378, 394]"}︡
︠2025ec3e-d3c1-48bd-bbe9-4ccb02925010︠
t3 = CkEven(1,2,4,20); t3
︡dcb0ddd8-caeb-49c8-bd4c-741a95d506d0︡{"stdout": "[14, 30, 46, 56, 62, 78, 94, 110, 120, 126, 142, 158, 174, 184, 190, 206, 222, 224, 238, 248, 254, 270, 286, 302, 312, 318, 334, 350, 366, 376, 382, 398]"}︡
︠b00d5ba9-843a-4dfd-b570-b3fccadec49di︠
%html
<p>De vraag is nu: valt er een patroon te ontdekken in deze lijstjes van niet-gerepresenteerde getallen?</p>

︡617c8c42-5647-448c-95c0-08073daf241b︡{"html": "<p>De vraag is nu: valt er een patroon te ontdekken in deze lijstjes van niet-gerepresenteerde getallen?</p>"}︡
︠d9658110-a279-4341-acd7-492a6921a412︠
for m in t1: print(m%64)
︡4530554c-fc09-414b-9159-34057aea81c4︡{"stdout": "14\n30\n46\n56\n62\n14\n30\n46\n56\n62\n14\n30\n46\n56\n62\n14\n30\n32\n46\n56\n62\n14\n30\n46\n56\n62\n14\n30\n46\n56\n62\n14"}︡
︠a58cf25e-f2ea-4665-8a2c-0f01a5bf310ai︠
%html
<p>Hier valt wel een patroon van te maken: alleen de 32's verstoren de regelmaat een beetje. Hoe zit dat?</p>

︡6e50f13d-2289-440a-a1a0-ff40f0d24731︡{"html": "<p>Hier valt wel een patroon van te maken: alleen de 32's verstoren de regelmaat een beetje. Hoe zit dat?</p>"}︡
︠280957ff-f62a-4232-b892-16f6437d4ec1︠
t1 = CkEven(1,1,2,60); t1
︡d9c6620e-f20d-4ea0-86a6-7d705a49739d︡{"stdout": "[14, 30, 46, 56, 62, 78, 94, 110, 120, 126, 142, 158, 174, 184, 190, 206, 222, 224, 238, 248, 254, 270, 286, 302, 312, 318, 334, 350, 366, 376, 382, 398, 414, 430, 440, 446, 462, 478, 480, 494, 504, 510, 526, 542, 558, 568, 574, 590, 606, 622, 632, 638, 654, 670, 686, 696, 702, 718, 734, 736, 750, 760, 766, 782, 798, 814, 824, 830, 846, 862, 878, 888, 894, 896, 910, 926, 942, 952, 958, 974, 990, 992, 1006, 1016, 1022, 1038, 1054, 1070, 1080, 1086, 1102, 1118, 1134, 1144, 1150, 1166, 1182, 1198, 1208, 1214, 1230, 1246, 1248, 1262, 1272, 1278, 1294, 1310, 1326, 1336, 1342, 1358, 1374, 1390, 1400, 1406, 1422, 1438, 1454, 1464, 1470, 1486, 1502, 1504, 1518, 1528, 1534, 1550, 1566, 1582, 1592, 1598, 1614, 1630, 1646, 1656, 1662, 1678, 1694, 1710, 1720, 1726, 1742, 1758, 1760, 1774, 1784, 1790, 1806, 1822, 1838, 1848, 1854, 1870, 1886, 1902, 1912, 1918, 1920, 1934, 1950, 1966, 1976, 1982, 1998, 2014, 2016, 2030, 2040, 2046, 2062, 2078, 2094, 2104, 2110, 2126, 2142, 2158, 2168, 2174, 2190, 2206, 2222, 2232, 2238, 2254, 2270, 2272, 2286, 2296, 2302, 2318, 2334, 2350, 2360, 2366, 2382, 2398, 2414, 2424, 2430, 2446, 2462, 2478, 2488, 2494, 2510, 2526, 2528, 2542, 2552, 2558, 2574, 2590, 2606, 2616, 2622, 2638, 2654, 2670, 2680, 2686, 2702, 2718, 2734, 2744, 2750, 2766, 2782, 2784, 2798, 2808, 2814, 2830, 2846, 2862, 2872, 2878, 2894, 2910, 2926, 2936, 2942, 2944, 2958, 2974, 2990, 3000, 3006, 3022, 3038, 3040, 3054, 3064, 3070, 3086, 3102, 3118, 3128, 3134, 3150, 3166, 3182, 3192, 3198, 3214, 3230, 3246, 3256, 3262, 3278, 3294, 3296, 3310, 3320, 3326, 3342, 3358, 3374, 3384, 3390, 3406, 3422, 3438, 3448, 3454, 3470, 3486, 3502, 3512, 3518, 3534, 3550, 3552, 3566, 3576, 3582, 3584, 3598]"}︡
︠32537a18-5b77-4dd8-9975-a5d0ed59f86a︠
T1 = set([]);
for i in range(60):
    T1.add(14+i*64)
    T1.add(30+i*64)
    T1.add(46+i*64)
    T1.add(56+i*64)
    T1.add(62+i*64)
sorted(list(T1))
︡faee4b12-d87f-41f7-8096-3ee8412ecae9︡{"stdout": "[14, 30, 46, 56, 62, 78, 94, 110, 120, 126, 142, 158, 174, 184, 190, 206, 222, 238, 248, 254, 270, 286, 302, 312, 318, 334, 350, 366, 376, 382, 398, 414, 430, 440, 446, 462, 478, 494, 504, 510, 526, 542, 558, 568, 574, 590, 606, 622, 632, 638, 654, 670, 686, 696, 702, 718, 734, 750, 760, 766, 782, 798, 814, 824, 830, 846, 862, 878, 888, 894, 910, 926, 942, 952, 958, 974, 990, 1006, 1016, 1022, 1038, 1054, 1070, 1080, 1086, 1102, 1118, 1134, 1144, 1150, 1166, 1182, 1198, 1208, 1214, 1230, 1246, 1262, 1272, 1278, 1294, 1310, 1326, 1336, 1342, 1358, 1374, 1390, 1400, 1406, 1422, 1438, 1454, 1464, 1470, 1486, 1502, 1518, 1528, 1534, 1550, 1566, 1582, 1592, 1598, 1614, 1630, 1646, 1656, 1662, 1678, 1694, 1710, 1720, 1726, 1742, 1758, 1774, 1784, 1790, 1806, 1822, 1838, 1848, 1854, 1870, 1886, 1902, 1912, 1918, 1934, 1950, 1966, 1976, 1982, 1998, 2014, 2030, 2040, 2046, 2062, 2078, 2094, 2104, 2110, 2126, 2142, 2158, 2168, 2174, 2190, 2206, 2222, 2232, 2238, 2254, 2270, 2286, 2296, 2302, 2318, 2334, 2350, 2360, 2366, 2382, 2398, 2414, 2424, 2430, 2446, 2462, 2478, 2488, 2494, 2510, 2526, 2542, 2552, 2558, 2574, 2590, 2606, 2616, 2622, 2638, 2654, 2670, 2680, 2686, 2702, 2718, 2734, 2744, 2750, 2766, 2782, 2798, 2808, 2814, 2830, 2846, 2862, 2872, 2878, 2894, 2910, 2926, 2936, 2942, 2958, 2974, 2990, 3000, 3006, 3022, 3038, 3054, 3064, 3070, 3086, 3102, 3118, 3128, 3134, 3150, 3166, 3182, 3192, 3198, 3214, 3230, 3246, 3256, 3262, 3278, 3294, 3310, 3320, 3326, 3342, 3358, 3374, 3384, 3390, 3406, 3422, 3438, 3448, 3454, 3470, 3486, 3502, 3512, 3518, 3534, 3550, 3566, 3576, 3582, 3598, 3614, 3630, 3640, 3646, 3662, 3678, 3694, 3704, 3710, 3726, 3742, 3758, 3768, 3774, 3790, 3806, 3822, 3832, 3838]"}︡
︠69ad9672-4c3f-4c4b-9a85-12b55cc79c04︠
rest = sorted(list(set(t1).difference(T1))); rest
︡a535f7e1-fee4-4366-a6ec-5619a43f823e︡{"stdout": "[224, 480, 736, 896, 992, 1248, 1504, 1760, 1920, 2016, 2272, 2528, 2784, 2944, 3040, 3296, 3552, 3584]"}︡
︠179cca16-0e29-4ee4-a9ac-fbe9306e100bi︠
%html
<p>Dit zijn dus de getallen de regelmaat modulo 64 onderbreken: allemaal deelbaar door 32.</p>

︡910c0062-e4f1-456f-9c7a-5c7dae3faf11︡{"html": "<p>Dit zijn dus de getallen de regelmaat modulo 64 onderbreken: allemaal deelbaar door 32.</p>"}︡
︠89676a3f-bebc-4558-87a7-37270fbfae3c︠
plot(rest)
︡fecf7bad-703a-4b19-9ba3-f83f43b51a27︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠34245d09-64d4-488b-8862-7280304980d1︠
for m in rest: m/32
︡4d0cf4a4-78f7-4273-a6f1-d8daa14f697b︡{"stdout": "7\n15\n23\n28\n31\n39\n47\n55\n60\n63\n71\n79\n87\n92\n95\n103\n111\n112"}︡
︠c7888f40-6ffd-4f82-bacf-490fa68f7a8ei︠
%html
<p>Hier zien we de getallen van Gauss weer terug: $4^i*(7+8*k)$ voor $i$ en $k$ niet-negatief.</p>

︡b6f944d7-4a81-4b50-ae0f-e25f69ef5ea7︡{"html": "<p>Hier zien we de getallen van Gauss weer terug: $4^i*(7+8*k)$ voor $i$ en $k$ niet-negatief.</p>"}︡
︠9b2b0d6d-f5cc-4710-9c5f-0aa1a190497b︠
G = set([]);
for i in range(3):
    for k in range(20):
        G.add(32*4^i*(7+8*k))
sorted(list(G))
︡c13b53a9-2372-4554-b21f-e1176c19d935︡{"stdout": "[224, 480, 736, 896, 992, 1248, 1504, 1760, 1920, 2016, 2272, 2528, 2784, 2944, 3040, 3296, 3552, 3584, 3808, 3968, 4064, 4320, 4576, 4832, 4992, 5088, 6016, 7040, 7680, 8064, 9088, 10112, 11136, 11776, 12160, 13184, 14208, 15232, 15872, 16256, 17280, 18304, 19328, 19968, 20352, 24064, 28160, 32256, 36352, 40448, 44544, 48640, 52736, 56832, 60928, 65024, 69120, 73216, 77312, 81408]"}︡
︠1ae6deb0-728d-462a-bcd4-748edc77ac99︠
set(rest).difference(G)
︡2583d364-0cd1-4126-bc2f-2feaa0159c45︡{"stdout": "set([])"}︡
︠2ad43c1e-cfed-4da9-9fc8-2756b5202b11i︠
%html
<p>We zijn er: de getallen NIET gerepresenteerd door $x^2+y^2+2*z^2$ zijn de getallen uit het regelmatige rijtje modulo 64, PLUS het 32-voud van alle Gausse-getallen die niet door $x^2+y^2+z^2$ gerepresenteerd kunnen worden.</p>

︡8f0bc076-35ce-4405-a408-6532cf1acb00︡{"html": "<p>We zijn er: de getallen NIET gerepresenteerd door $x^2+y^2+2*z^2$ zijn de getallen uit het regelmatige rijtje modulo 64, PLUS het 32-voud van alle Gausse-getallen die niet door $x^2+y^2+z^2$ gerepresenteerd kunnen worden.</p>"}︡
